<?php
  require_once($_SERVER['DOCUMENT_ROOT'].'jformer.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'db.php');
  
  session_start();    
    
  if ( (!isset($_SESSION['uid'])) || ($_SESSION['uid'] == "") )
  {
    error_log("ERROR: STEP 1 wurde mit folgender UID aufgerufen:>".$_SESSION['uid']."<");
    header('Location: index.php');  
  }
  
  $Form = new JFormer('AdressForm',  array('submitButtonText' => '-> Anmeldung Step 2'));

        $Form->addJFormComponentArray(array(       
        
        new JFormComponentHtml('<p><b>Daten des Lagerteilnehmers:</b></p>'),
        
        new JFormComponentMultipleChoice('geschlechtlagerteilnehmer', 'Geschlecht des Lagerteilnehmers', array(
	              array('value' => '2', 'label' => 'weiblich'),
                array('value' => '1', 'label' => 'm&auml;nnlich'),
                array('value' => '3', 'label' => 'divers'),
	            ),
	            array(
	                'multipleChoiceType' => 'radio',
	                'validationOptions' => array('required'),
	    )),
        
        
        new JFormComponentName('namelagerteilnehmer', 'Name des Lagerteilnehmers:', array(
            'validationOptions' => array('required'),
            'middleInitialHidden' => true
        )),
        new JFormComponentAddress('anschriftlagerteilnehmer', 'Anschrift des Lagerteilnehmers:', array(
                'validationOptions' => array('required'),
                'addressLine2Hidden' => true, 
        )),
        
        new JFormComponentSingleLineText('geburtstagsdatum', 'Geburtsdatum des Lagerteilnehmers:', array(
            'width' => 'short',
            'validationOptions' => array('required','date'),
            'tip' => 'Bitte das Geburtstagsdatum im Format<br>Tag.Monat.Jahr (z.B. 1.6.2004)<br>eingeben',
        )),
     
        
        new JFormComponentSingleLineText('telefonlagerteilnehmer', 'Telefonnummer des Lagerteilnehmers:', array(
            'width' => 'long',
            'validationOptions' => array('required'),
        )),
       
        new JFormComponentSingleLineText('emaillagerteilnehmer', 'E-Mailadresse f&uuml;r die Bearbeitung der Anmeldung:', array(
             'tip' => '<p>Bitte hier umbedingt eine g&uuml;ltige E-Mailadresse angeben</p>',
            'width' => 'long',
            'validationOptions' => array('required','email'),
        )),
        
      
        new JFormComponentMultipleChoice('mitglied', 'Ich besuche eine Gruppe der Evang. Gemeindejugend:', array(
	            array('value' => '1', 'label' => 'ja'),
                array('value' => '0', 'label' => 'nein'),
	            ),
	            array(
	                'multipleChoiceType' => 'radio',
	                'validationOptions' => array('required'),
	    )),
	    
	    new JFormComponentSingleLineText('gruppe', 'Welche Gruppe:', array(
            'width' => 'long',
            'validationOptions' => array('required'),
            'dependencyOptions' => array(
        	                	'dependentOn' => 'mitglied',
    					        'display' => 'hide',
    					        'jsFunction' => '$("#mitglied-choice1").is(":checked");'
    				             ),
            
        )),
    



       
    ));


  function onSubmit($formValues)
  {
    
    $uid = $_SESSION['uid'];
    
    $geschlecht = $formValues->geschlechtlagerteilnehmer;
    $nachname = $formValues->namelagerteilnehmer->lastName;
    $vorname = $formValues->namelagerteilnehmer->firstName;
    $strasse = $formValues->anschriftlagerteilnehmer->addressLine1;
    $plz = $formValues->anschriftlagerteilnehmer->zip;
    $wohnort = $formValues->anschriftlagerteilnehmer->city;
    $telefon = $formValues->telefonlagerteilnehmer;
    $email = $formValues->emaillagerteilnehmer;
    $geburtstag = preg_replace('/[^0-9\.]+/', '', $formValues->geburtstagsdatum);
    $mitglied =  $formValues->mitglied;
    $gruppe =  $formValues->gruppe;
    
    
    if ($uid == "")
    {
        error_log("ERROR: SUBMIT bei STEP 1 wurde ohne UID aufgerufen");
        $_SESSION['step'] = "0"; 
    }
    else
    { 
        $_SESSION['step'] = "2";
        //DB-Eintrag
        $mydb = new DB_MySQL();
        $mydb->query("UPDATE AnmeldungStatus SET step = '1' WHERE uid='$uid' AND step < '10' ");
        
        $mydb->query("INSERT INTO AnmeldungAdressen (uid, nachname, vorname, strasse, plz, wohnort, telefon, email) VALUES ('$uid', '$nachname', '$vorname', '$strasse', '$plz', '$wohnort' , '$telefon' , '$email') ON DUPLICATE KEY UPDATE nachname = '$nachname',  vorname='$vorname', strasse='$strasse', plz='$plz', wohnort='$wohnort', telefon='$telefon', email='$email' ");
        
       
        
        $mydb->query("INSERT INTO AnmeldungPerson (uid, geschlecht, geburtstag, mitglied, gruppe)VALUES ('$uid', '$geschlecht', STR_TO_DATE('$geburtstag','%d.%m.%Y'), '$mitglied', '$gruppe') ON DUPLICATE KEY UPDATE geschlecht = '$geschlecht',  geburtstag=STR_TO_DATE('$geburtstag','%d.%m.%Y'), mitglied='$mitglied', gruppe='$gruppe' ");
        
      
        $mydb->disconnect(); 
    }
    
    $response = array('redirect' => 'index.php');
    return $response;
  }

  // Process any request to the form
  $Form->processRequest();

?>

